Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.event
Class EJB3AutoFlushEventListener

    java.lang.Object
      org.hibernate.event.internal.AbstractFlushingEventListener
          org.hibernate.event.internal.DefaultAutoFlushEventListener
              org.hibernate.ejb.event.EJB3AutoFlushEventListener

All Implemented Interfaces:
  Serializable, HibernateEntityManagerEventListener, AutoFlushEventListener

    public class EJB3AutoFlushEventListener

extends DefaultAutoFlushEventListener
implements HibernateEntityManagerEventListener

In JPA, it is the create operation that is cascaded to unmanaged entities at flush time (instead of the save-update operation in Hibernate).

See Also:
  Serialized Form

Field Summary
`static AutoFlushEventListener` | `INSTANCE`

Constructor Summary
`EJB3AutoFlushEventListener()`

Method Summary
`protected Object` | `getAnything()`
`protected CascadingAction` | `getCascadingAction()`

Methods inherited from class org.hibernate.event.internal.DefaultAutoFlushEventListener
`onAutoFlush`

Methods inherited from class org.hibernate.event.internal.AbstractFlushingEventListener
`flushEverythingToExecutions, performExecutions, postFlush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final AutoFlushEventListener INSTANCE

Constructor Detail

### EJB3AutoFlushEventListener

    public EJB3AutoFlushEventListener()

Method Detail

### getCascadingAction

    protected CascadingAction getCascadingAction()

  Overrides:
    `getCascadingAction` in class `AbstractFlushingEventListener`

### getAnything

    protected Object getAnything()

  Overrides:
    `getAnything` in class `AbstractFlushingEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.